From 381300d881bd718f1fd92cf0e82907a050cff4f2 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@enterprisedb.com>
Date: Wed, 2 May 2018 12:54:46 +1200
Subject: [PATCH 1/2] Change SIZEOF_BOOL to 1 for Windows.

Previously it was defined as 0, which inhibited the use of stdbool.h even when
it is available.

Thomas Munro
Discussion: https://postgr.es/m/CAEepm%3D3%3DTDYEXUEcHpEx%2BTwc31wo7PA0oBAiNt6sWmq93MW02A%40mail.gmail.com
---
 src/include/pg_config.h.win32 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/pg_config.h.win32 b/src/include/pg_config.h.win32
index e776b34f223..9149c7ad376 100644
--- a/src/include/pg_config.h.win32
+++ b/src/include/pg_config.h.win32
@@ -615,7 +615,7 @@
 #define PG_VERSION_STR "Uninitialized version string (win32)"
 
 /* The size of `bool', as computed by sizeof. */
-#define SIZEOF_BOOL 0
+#define SIZEOF_BOOL 1
 
 /* The size of `long', as computed by sizeof. */
 #define SIZEOF_LONG 4
-- 
2.17.0

